org.apache.catalina.tribes.group.interceptors

## Class FragmentationInterceptor.FragKey

- java.lang.Object
- - org.apache.catalina.tribes.group.interceptors.FragmentationInterceptor.FragKey

- Enclosing class:
    FragmentationInterceptor

      public static class FragmentationInterceptor.FragKey
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FragmentationInterceptor.FragKey(byte[] id)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `boolean` | `expired(long expire)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FragmentationInterceptor.FragKey

          public FragmentationInterceptor.FragKey(byte[] id)

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### expired

          public boolean expired(long expire)

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.